###################################################
### chunk number 1: preliminaries
###################################################
library("bvpSolve")
options(prompt = "> ")
options(width=70)


###################################################
### chunk number 2: 
###################################################

Prob1 <- function(t, y, pars) {
   list(c( y[2] , y[1]/xi ))
}



###################################################
### chunk number 3: 
###################################################
xi <-0.1
print(system.time(
  shoot  <- bvpshoot(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
            func=Prob1, guess=0)))
print(system.time(
  twp <- bvptwp(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
            func=Prob1, guess=0)))


###################################################
### chunk number 4: 
###################################################
xi <-0.01
shoot2  <- bvpshoot(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
            func=Prob1, guess=0)


###################################################
### chunk number 5: 
###################################################
xi <-0.001
shoot3  <- bvpshoot(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob1, guess=0)


###################################################
### chunk number 6: prob1
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 1",col="blue",
  xlab="x",ylab="y")
lines(shoot2[,1],shoot2[,2],col="red")
lines(shoot3[,1],shoot3[,2],col="green")
# exact solution
curve(exp(-x/sqrt(xi))-exp((x-2)/sqrt(xi))/(1-exp(-2/sqrt(xi))),
      0,1,add=TRUE,type="p")


###################################################
### chunk number 7: prob1
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 1",col="blue",
  xlab="x",ylab="y")
lines(shoot2[,1],shoot2[,2],col="red")
lines(shoot3[,1],shoot3[,2],col="green")
# exact solution
curve(exp(-x/sqrt(xi))-exp((x-2)/sqrt(xi))/(1-exp(-2/sqrt(xi))),
      0,1,add=TRUE,type="p")


###################################################
### chunk number 8: 
###################################################

Prob2 <- function(t, y, pars) {
  list(c( y[2], y[2]/xi ))
}

xi <-0.2
shoot <- bvpshoot(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob2, guess=0)


###################################################
### chunk number 9: 
###################################################
xi <-0.1
twp   <- bvptwp(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob2, guess=0, atol=1e-10)
xi <- 0.01
twp2  <- bvptwp(yini=c(1,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob2, guess=0, atol=1e-10)


###################################################
### chunk number 10: prob2
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 2",col="blue",
  xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve((1-exp((x-1)/xi))/(1-exp(-1/xi)),0,1,type="p",add=TRUE)


###################################################
### chunk number 11: prob2
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 2",col="blue",
  xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve((1-exp((x-1)/xi))/(1-exp(-1/xi)),0,1,type="p",add=TRUE)


###################################################
### chunk number 12: 
###################################################
Prob3 <- function(x, y, pars) {
  list(c( y[2],
         1/xi*(-(2+cos(pi*x))*y[2]+y[1]-
          (1+xi*pi*pi)*cos(pi*x)-(2+cos(pi*x))*pi*sin(pi*x))
      ))
}

#-------------------------------------------------------------------------------
xi <-0.1
shoot  <- bvpshoot(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
           func=Prob3, guess=0)
xi <-0.01
twp    <- bvptwp(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
           func=Prob3, guess=0)


###################################################
### chunk number 13: prob3
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 3",col="blue",
  xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
curve(cos(pi*x),-1,1,type="p",add=TRUE)


###################################################
### chunk number 14: prob3
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 3",col="blue",
  xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
curve(cos(pi*x),-1,1,type="p",add=TRUE)


###################################################
### chunk number 15: 
###################################################
Prob4 <- function(t, y, pars) {
  list(c( y[2], (-y[2]+(1+xi)*y[1])/xi ))
}

yini <- c(1+exp(-2),NA)

xi   <-0.5
yend <- c(1+exp(-2*(1+xi)/xi),NA)
shoot  <- bvpshoot(yini=yini,yend=yend,x=seq(-1,1,by=0.01),
          func=Prob4, guess=0)

xi <-0.1
yend <- c(1+exp(-2*(1+xi)/xi),NA)
twp    <- bvptwp(yini=yini,yend=yend,x=seq(-1,1,by=0.01),
          func=Prob4, guess=0)

xi <-0.01
yend <- c(1+exp(-2*(1+xi)/xi),NA)
twp2    <- bvptwp(yini=yini,yend=yend,x=seq(-1,1,by=0.01),
          func=Prob4, guess=0)


###################################################
### chunk number 16: prob4
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 4",ylim=c(0,1.2),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(x-1)+exp(-(1+xi)*(1+x)/xi),-1,1,type="p",add=TRUE)


###################################################
### chunk number 17: prob4
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 4",ylim=c(0,1.2),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(x-1)+exp(-(1+xi)*(1+x)/xi),-1,1,type="p",add=TRUE)


###################################################
### chunk number 18: 
###################################################
Prob5 <- function(x, y, pars) {
  list(c( y[2],
          x*y[2]+y[1]-(1+pi*pi)*cos(pi*x)+pi*x*sin(pi*x) ))
}

xi <-0.1
shoot  <- bvpshoot(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
           func=Prob5, guess=0)
twp    <- bvptwp(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
           func=Prob5, guess=0)


###################################################
### chunk number 19: prob5
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 5",
  col="blue",xlab="x",ylab="y")
curve(cos(pi*x),-1,1,type="p",add=TRUE)


###################################################
### chunk number 20: prob5
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 5",
  col="blue",xlab="x",ylab="y")
curve(cos(pi*x),-1,1,type="p",add=TRUE)


###################################################
### chunk number 21: 
###################################################
Prob6 <- function(t, y, pars) {
  list(c( y[2],
          1/xi*(-t*y[2]-xi*pi*pi*cos(pi*t)-pi*t*sin(pi*t)) ))
}

xi <-0.1
shoot  <- bvpshoot(yini=c(-2,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
           func=Prob6, guess=0)
xi <-0.01
twp  <- bvptwp(yini=c(-2,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
           func=Prob6, guess=0)
xi <-0.001
twp2  <- bvptwp(yini=c(-2,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
           func=Prob6, guess=0)


###################################################
### chunk number 22: prob6
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 6",
     ylim =c(-2,2),col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")

erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x)+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 23: prob6
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 6",
     ylim =c(-2,2),col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")

erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x)+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 24: 
###################################################
prob7 <- function(x, y, pars) {
  list(c(y[2],
         1/xi*(-x*y[2]+y[1]-(1+xi*pi*pi)*cos(pi*x)-pi*x*sin(pi*x)))
     )
}

x  <- seq(-1,1,by=0.01)

xi <- 0.01
twp  <- bvptwp(yini=c(-1,NA),yend=c(1,NA),x=x,func=prob7, guess=0)

xi <- 0.001
twp2  <- bvptwp(yini=c(-1,NA),yend=c(1,NA),x=x,func=prob7, guess=0)

xi <- 0.0001
twp3  <- bvptwp(yini=c(-1,NA),yend=c(1,NA),x=x,func=prob7, guess=0)



###################################################
### chunk number 25: prob7
###################################################
par(mfrow=c(1,2))
plot(twp[,1],twp[,2],type="l",main="test problem 7",
  col="blue",xlab="x",ylab="y")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x)+x+(x*erf(x/sqrt(2*xi))+sqrt(2*xi/pi)*exp(-x^2/2/xi))/
         (erf(1/(2*xi))+sqrt(2*xi/pi)*exp(-1/2/xi)),-1,1,type="p",add=TRUE)

plot(twp[,1],twp[,3],type="l",main="test problem 7",
  col="blue",xlab="x",ylab="y'")
lines(twp2[,1],twp2[,3],col="red")
lines(twp3[,1],twp3[,3],col="green")
par(mfrow=c(1,1))


###################################################
### chunk number 26: prob7
###################################################
par(mfrow=c(1,2))
plot(twp[,1],twp[,2],type="l",main="test problem 7",
  col="blue",xlab="x",ylab="y")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x)+x+(x*erf(x/sqrt(2*xi))+sqrt(2*xi/pi)*exp(-x^2/2/xi))/
         (erf(1/(2*xi))+sqrt(2*xi/pi)*exp(-1/2/xi)),-1,1,type="p",add=TRUE)

plot(twp[,1],twp[,3],type="l",main="test problem 7",
  col="blue",xlab="x",ylab="y'")
lines(twp2[,1],twp2[,3],col="red")
lines(twp3[,1],twp3[,3],col="green")
par(mfrow=c(1,1))


###################################################
### chunk number 27: 
###################################################
prob8 <- function(x, y, pars) {
  list(c( y[2], -1/xi*y[2]))
}

x  <- seq(0,1,by=0.01)
xi <- 0.2
shoot  <- bvpshoot(yini=c(1,NA),yend=c(2,NA),x=x,func=prob8,guess=0)

xi <- 0.1
twp  <- bvptwp(yini=c(1,NA),yend=c(2,NA),x=x,func=prob8, guess=0)

xi <- 0.01
twp2  <- bvptwp(yini=c(1,NA),yend=c(2,NA),x=x,func=prob8, guess=0)



###################################################
### chunk number 28: prob8
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 8",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")

# analytical solution
curve(2-exp(-1/xi)-exp(-x/xi)/(1-exp(-1/xi)),0,1,add=TRUE,type="p")



###################################################
### chunk number 29: prob8
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 8",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")

# analytical solution
curve(2-exp(-1/xi)-exp(-x/xi)/(1-exp(-1/xi)),0,1,add=TRUE,type="p")



###################################################
### chunk number 30: 
###################################################
Prob9 <- function(x, y, pars) {
  list(c( y[2], -1/(xi+x^2)*(4*x*y[2]+2*y[1]) ))
}


xi <-0.05
twp  <- bvptwp(yini=c(1/(1+xi),NA),yend=c(1/(1+xi),NA),x=seq(-1,1,by=0.01),
           func=Prob9, guess=0)

xi <-0.02
twp2  <- bvptwp(yini=c(1/(1+xi),NA),yend=c(1/(1+xi),NA),x=seq(-1,1,by=0.01),
           func=Prob9, guess=0)

xi <-0.01
twp3  <- bvptwp(yini=c(1/(1+xi),NA),yend=c(1/(1+xi),NA),x=seq(-1,1,by=0.01),
           func=Prob9, guess=0)



###################################################
### chunk number 31: prob9
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 9", ylim=c(0,100),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")
# exact
curve(1/(xi+x^2),-1,1,type="p",add=TRUE)


###################################################
### chunk number 32: prob9
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 9", ylim=c(0,100),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")
# exact
curve(1/(xi+x^2),-1,1,type="p",add=TRUE)


###################################################
### chunk number 33: 
###################################################
Prob10 <- function(x, y, pars) {
  list(c( y[2], -1/xi*x*y[2] ))
}

xi <-0.1
shoot  <- bvpshoot(yini=c(0,NA),yend=c(2,NA),x=seq(-1,1,by=0.01),
        func=Prob10, guess=0,atol=1e-10)
xi <- 0.05
twp  <- bvptwp(yini=c(0,NA),yend=c(2,NA),x=seq(-1,1,by=0.01),
           func=Prob10, guess=0)
xi <- 0.01
twp2  <- bvptwp(yini=c(0,NA),yend=c(2,NA),x=seq(-1,1,by=0.01),
           func=Prob10, guess=0)


###################################################
### chunk number 34: prob10
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 10",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(1+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 35: prob10
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 10",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(1+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 36: 
###################################################
Prob11 <- function(x, y, pars) {
  list(c(y[2], 1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x)) ))
}

xi <-0.1
# Shooting
print(system.time(
shoot  <- bvpshoot(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob11, guess=0,atol=1e-10)
))

print(system.time(
twp  <- bvptwp(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob11, guess=0,atol=1e-10)
))
print(system.time(
twp2  <- bvptwp(yini=c(-1,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob11, guess=0,atol=1e-10)
))


###################################################
### chunk number 37: prob11
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 11",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")

curve(cos(pi*x),-1,1,type="p",add=TRUE)



###################################################
### chunk number 38: prob11
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 11",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")

curve(cos(pi*x),-1,1,type="p",add=TRUE)



###################################################
### chunk number 39: 
###################################################
Prob12 <- function(x, y, pars) {
  list(c(y[2],1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x))))
}

xi <-0.01
shoot  <- bvpshoot(yini=c(-1,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob12, guess=0)
xi <-0.0025
twp  <- bvptwp(yini=c(-1,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob12, guess=0)
xi <-0.0001
twp2  <- bvptwp(yini=c(-1,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob12, guess=0)



###################################################
### chunk number 40: prob12
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 12",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp((x-1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 41: prob12
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 12",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp((x-1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 42: 
###################################################
Prob13 <- function(x, y, pars)  {
  list(c( y[2], 1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x)) ))
}

xi <-0.01
shoot  <- bvpshoot(yini=c(0,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob13, guess=0)
xi <-0.0025
twp  <- bvptwp(yini=c(0,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob13, guess=0)
xi <-0.0001
twp2  <- bvptwp(yini=c(0,NA),yend=c(-1,NA),x=seq(-1,1,by=0.01),
        func=Prob13, guess=0)


###################################################
### chunk number 43: prob13
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 13",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp(-(x+1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 44: prob13
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 13",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp(-(x+1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 45: 
###################################################
Prob14 <- function(x, y, pars)  {
  list(c( y[2], 1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x))))
}

xi <-0.01
shoot  <- bvpshoot(yini=c(0,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob14, guess=0)
xi <-0.0025
twp  <- bvptwp(yini=c(0,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob14, guess=0)
xi <-0.0001
twp2  <- bvptwp(yini=c(0,NA),yend=c(0,NA),x=seq(-1,1,by=0.01),
        func=Prob14, guess=0)


###################################################
### chunk number 46: prob14
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 14", ylim=c(-1,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp((x-1)/sqrt(xi))+exp(-(x+1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 47: prob14
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 14", ylim=c(-1,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp[,1],twp[,2],col="green")
curve(cos(pi*x)+exp((x-1)/sqrt(xi))+exp(-(x+1)/sqrt(xi)),-1,1,type="p",add=TRUE)



###################################################
### chunk number 48: 
###################################################
Prob15 <- function(x, y, pars)  {
  list(c( y[2], 1/xi*x*y[1] ))
}

xi <-0.003
# Shooting
print(system.time(
shoot  <- bvpshoot(yini=c(1,NA),yend=c(1,NA),x=seq(-1,1,by=0.01),
           func=Prob15, guess=0)
))
xi <- 0.005

print(system.time(
twp  <- bvptwp(yini=c(1,NA),yend=c(1,NA),x=seq(-1,1,by=0.01),
           func=Prob15, guess=0)
))
xi <- 0.01
print(system.time(
twp2  <- bvptwp(yini=c(1,NA),yend=c(1,NA),x=seq(-1,1,by=0.01),
           func=Prob15, guess=0)
))


###################################################
### chunk number 49: prob15
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 15",
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 50: prob15
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 15",
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 51: 
###################################################
Prob16 <- function(x, y, pars) {
  list(c( y[2], -1/xi^2*pi^2*y[1]/4 ))
}

xi <-0.11
# Shooting
print(system.time(
shoot  <- bvpshoot(yini=c(0,NA),yend=c(sin(pi/2/xi),NA),x=seq(0,1,by=0.01),
           func=Prob16, guess=0,atol=1e-10)
))


###################################################
### chunk number 52: prob16
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 16",
  col="blue",xlab="x",ylab="y")
curve(sin(pi*x/2/xi),0,1,type="p",add=TRUE)


###################################################
### chunk number 53: prob16
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 16",
  col="blue",xlab="x",ylab="y")
curve(sin(pi*x/2/xi),0,1,type="p",add=TRUE)


###################################################
### chunk number 54: 
###################################################
Prob17 <- function(x, y, pars)  {
  list(c( y[2], -3*xi*y[1]/(xi+x^2)^2 ))
}

xseq<-seq(-0.1,0.1,by=0.001)

xi <-0.01
twp1  <- bvptwp(yini=c(-0.1/sqrt(xi+0.01),NA),
                   yend=c(0.1/sqrt(xi+0.01),NA),x=xseq,
                   func=Prob17, guess=0,atol=1e-10)

xi <- 0.001
twp2  <- bvptwp(yini=c(-0.1/sqrt(xi+0.01),NA),
                   yend=c(0.1/sqrt(xi+0.01),NA),x=xseq,
                   func=Prob17, guess=0,atol=1e-8)

xi <- 0.0001
twp3  <- bvptwp(yini=c(-0.1/sqrt(xi+0.01),NA),
                   yend=c(0.1/sqrt(xi+0.01),NA),x=xseq,
                   func=Prob17, guess=0,atol=1e-8)


###################################################
### chunk number 55: prob17
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 17",ylim=c(-1,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="red")
curve(x/sqrt(xi+x^2),-0.1,0.1,type="p",add=TRUE)


###################################################
### chunk number 56: prob17
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 17",ylim=c(-1,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="red")
curve(x/sqrt(xi+x^2),-0.1,0.1,type="p",add=TRUE)


###################################################
### chunk number 57: 
###################################################
Prob18 <- function(x, y, pars) {
  list(c( y[2], -1/xi*y[2]) )
}

xseq<-seq(0,1,by=0.01)
xi <-0.2
shoot  <- bvpshoot(yini=c(1,NA),yend=c(exp(-1/xi),NA),x=xseq,
           func=Prob18, guess=0,atol=1e-10)
xi <- 0.1
twp  <- bvptwp(yini=c(1,NA),yend=c(exp(-1/xi),NA),x=xseq,
           func=Prob18, guess=0,atol=1e-10)
xi <- 0.01
twp2  <- bvptwp(yini=c(1,NA),yend=c(exp(-1/xi),NA),x=xseq,
           func=Prob18, guess=0,atol=1e-10)


###################################################
### chunk number 58: prob18
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 18",ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(-x/xi),0,1,type="p",add=TRUE)


###################################################
### chunk number 59: prob18
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 18",ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(-x/xi),0,1,type="p",add=TRUE)


###################################################
### chunk number 60: 
###################################################
Prob19 <- function(t, y, pars, ksi) {
  pit = pi*t
  list(c(y[2],(pi/2*sin(pit/2)*exp(2*y[1])-exp(y[1])*y[2])/ksi))
}

xi <-0.05
shoot  <- bvpshoot(yini=c(0,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
        func=Prob19, guess=0,ksi=xi)
xi <- 0.03
twp  <- bvptwp(yini=c(0,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob19, guess=0,ksi=xi,atol=1e-15)
xi <- 0.005
print(system.time(

twp2  <- bvptwp(yini=c(0,NA),yend=c(0,NA),x=seq(0,1,by=0.01),
           func=Prob19, guess=0,ksi=xi, atol=1e-10)
))


###################################################
### chunk number 61: prob19
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 19", ylim=c(-0.7,0),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")



###################################################
### chunk number 62: prob19
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 19", ylim=c(-0.7,0),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")



###################################################
### chunk number 63: 
###################################################

Prob20 <- function(x, y, pars) {
  list(c( y[2] , 1/xi *(1-y[2]^2) ))
}

xi <-0.5
ini <- c(1+xi * log(cosh(0.745/xi)),NA)
end <- c(1+xi * log(cosh(0.255/xi)),NA)
twp1  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob20, guess=0)

xi <-0.3
ini <- c(1+xi * log(cosh(0.745/xi)),NA)
end <- c(1+xi * log(cosh(0.255/xi)),NA)
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob20, guess=0)

xi <-0.01
ini <- c(1+xi * log(cosh(0.745/xi)),NA)
end <- c(1+xi * log(cosh(0.255/xi)),NA)
twp3  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob20, guess=0)



###################################################
### chunk number 64: prob20
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 20", ylim=c(1,1.8),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")
curve(1+xi * log(cosh((x-0.745)/xi)),0,1,add=TRUE,type="p")


###################################################
### chunk number 65: prob20
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 20", ylim=c(1,1.8),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")
curve(1+xi * log(cosh((x-0.745)/xi)),0,1,add=TRUE,type="p")


###################################################
### chunk number 66: 
###################################################

Prob21 <- function(x, y, pars, xi) {
  list(c( y[2], 1/xi *(y[1]+y[1]^2-exp(-2*x/sqrt(xi))) ))
}

ini <- c(1,NA)

xi <-0.2
end <- c(exp(-1/sqrt(xi)),NA)
shoot  <- bvpshoot(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob21, guess=0, xi=xi)

xi <-0.1
end <- c(exp(-1/sqrt(xi)),NA)
twp  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob21, guess=0, xi=xi)

xi <-0.01
end <- c(exp(-1/sqrt(xi)),NA)
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob21, guess=0, xi=xi)


###################################################
### chunk number 67: prob21
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 21", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(-x/sqrt(xi)),0,1,add=TRUE,type="p")


###################################################
### chunk number 68: prob21
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 21", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")
curve(exp(-x/sqrt(xi)),0,1,add=TRUE,type="p")


###################################################
### chunk number 69: 
###################################################

Prob22 <- function(t, y, pars, xi) {
  list(c( y[2], -1/xi *(y[2]+y[1]^2) ))
}

ini <- c(0,NA)
end <- c(1/2,NA)

xi <-0.1
shoot  <- bvpshoot(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob22, guess=0, xi=xi)

xi <-0.05
twp  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob22, guess=0, xi=xi)

xi <- 0.01
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob22, guess=0,xi=xi)



###################################################
### chunk number 70: prob22
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 22", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 71: prob22
###################################################
plot(shoot[,1],shoot[,2],type="l",main="test problem 22", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 72: 
###################################################

Prob23 <- function(t, y, pars, xi) {
  list(c( y[2], sinh(y[1]/xi)/xi) )
}

ini <- c(0,NA)
end <- c(1,NA)

xi <- 1/5
twp1  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob23, guess=c(0),xi=xi)

xi <- 1/7
twp  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob23, guess=0,xi=xi)

xi <- 1/9
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob23, guess=0,xi=xi)


###################################################
### chunk number 73: prob23
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 23",
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 74: prob23
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 23",
  col="blue",xlab="x",ylab="y")
lines(twp[,1],twp[,2],col="red")
lines(twp2[,1],twp2[,2],col="green")


###################################################
### chunk number 75: 
###################################################
Prob24 <- function(t, y, pars, xi) {
  A <- 1+t*t
  AA <- 2*t
  ga <- 1.4
  list(c(y[2],
       (((1+ga)/2 -xi*AA)*y[1]*y[2]-y[2]/y[1]-
       (AA/A)*(1-(ga-1)*y[1]^2/2))/(xi*A*y[1])  ))
}

ini <- c(0.9129,NA)
end <- c(0.375,NA)

xi <-0.05
mod1  <- bvpshoot(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob24, guess=0.9 ,xi=xi)
xi <-0.025
mod2  <- bvpshoot(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob24, guess=0.9 ,xi=xi)
xi <-0.02
mod3  <- bvpshoot(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob24, guess=0.9 ,xi=xi)
attributes(mod3)         # has FAILED: f.root too large!


###################################################
### chunk number 76: prob24
###################################################
plot(mod1[,1],mod1[,2],type="l",main="test problem 24",
  col="blue",xlab="x",ylab="y",ylim=c(0,1.5))
lines(mod2[,1],mod2[,2],col="red")


###################################################
### chunk number 77: prob24
###################################################
plot(mod1[,1],mod1[,2],type="l",main="test problem 24",
  col="blue",xlab="x",ylab="y",ylim=c(0,1.5))
lines(mod2[,1],mod2[,2],col="red")


###################################################
### chunk number 78: 
###################################################
Prob25 <- function(t, y, pars, xi) {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(-1/3,NA)
end <- c(1/3,NA)
xi  <-0.1
twp1  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob25, guess=0, xi=xi)

xi <-0.01
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob25, guess=0,xi=xi)


###################################################
### chunk number 79: 
###################################################
xi <- 0.001
twp3  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob25, guess=0,xi=xi)


###################################################
### chunk number 80: prob25
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 25",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 81: prob25
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 25",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 82: 
###################################################

Prob26 <- function(t, y, pars, xi)  {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(1,NA)
end <- c(-1/3,NA)

xi <-0.1
twp1  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob26, guess=0,xi=xi)
xi <-0.02
twp2  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob26, guess=0,xi=xi)
xi <-0.005
twp3  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob26, guess=0,xi=xi)



###################################################
### chunk number 83: prob26
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 26",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 84: prob26
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 26",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 85: 
###################################################

Prob27 <- function(t, y, pars, xi) {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(1,NA)
end <- c(1/3,NA)

xi   <-0.1
twp1 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob27, guess=0,xi=xi)
xi   <-0.02
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob27, guess=0,xi=xi)
xi <-0.005
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob27, guess=0,xi=xi)


###################################################
### chunk number 86: prob27
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 27", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 87: prob27
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 27", ylim=c(0,1),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 88: 
###################################################

Prob28 <- function(t, y, pars, xi)  {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(1,NA)
end <- c(3/2,NA)

xi   <-0.1
twp1 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob28, guess=0,xi=xi)
xi   <-0.02
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob28, guess=0,xi=xi)
xi <-0.005
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob28, guess=0,xi=xi)



###################################################
### chunk number 89: prob28
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 28", ylim=c(0.4,1.5),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 90: prob28
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 28", ylim=c(0.4,1.5),
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 91: 
###################################################

Prob29 <- function(t, y, pars, xi)  {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(0,NA)
end <- c(3/2,NA)

xi   <-0.1
twp1 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob29, guess=0,xi=xi)
xi   <-0.02
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob29, guess=0,xi=xi)
xi <-0.005
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob29, guess=0,xi=xi)


###################################################
### chunk number 92: prob29
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 29",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")



###################################################
### chunk number 93: prob29
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 29",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")



###################################################
### chunk number 94: 
###################################################

Prob30 <- function(t, y, pars, xi)  {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(-7/6,NA)
end <- c(3/2,NA)

xi   <-0.1
twp1 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob30, guess=0,xi=xi)
xi   <-0.02
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob30, guess=0,xi=xi)
xi <-0.01
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
        func=Prob30, guess=0,xi=xi)


###################################################
### chunk number 95: prob30
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 30",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 96: prob30
###################################################
plot(twp1[,1],twp1[,2],type="l",main="test problem 30",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 97: 
###################################################
Prob31 <- function(t, Y, pars)  {
  with (as.list(Y), {
    dy    <- sin(Tet)
    dTet  <- M
    dM    <- -Q/xi
    T <- 1/cos (Tet) +xi*Q*tan(Tet)
    dQ    <- 1/xi*((y-1)*cos(Tet)-M*T)
    list(c( dy, dTet, dM, dQ))
  })
}

ini <- c(y=0,Tet=NA,M=0,Q=NA)
end <- c(y=0,Tet=NA,M=0,Q=NA)


###################################################
### chunk number 98: 
###################################################
xi <-0.1
twp  <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob31, guess=c(0,0),atol=1e-10)

xi <- 0.05
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob31, guess=c(0,0),atol=1e-10)

xi <- 0.01
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob31, guess=c(0,0),atol=1e-10)


###################################################
### chunk number 99: prob31
###################################################
plot(twp[,1],twp[,4],type="l",main="test problem 31",
  col="blue",xlab="x",ylab="y3")
lines(twp2[,1],twp2[,4],col="red")
lines(twp3[,1],twp3[,4],col="green")



###################################################
### chunk number 100: prob31
###################################################
plot(twp[,1],twp[,4],type="l",main="test problem 31",
  col="blue",xlab="x",ylab="y3")
lines(twp2[,1],twp2[,4],col="red")
lines(twp3[,1],twp3[,4],col="green")



###################################################
### chunk number 101: 
###################################################
Prob32 <- function(t, y, pars, xi) {
  list(c( y[2], y[3], y[4], 1/xi*(y[2]*y[3]-y[1]*y[4])))

}
ini <- c(0,0,NA,NA)
end <- c(1,0,NA,NA)

xi <-0.01
twp <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob32, guess=c(0,0), xi=xi)

xi <-0.002
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob32, guess=c(0,0), xi=xi)

xi <-0.0001
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob32, guess=c(0,0), xi=xi)


###################################################
### chunk number 102: prob32
###################################################
plot(twp[,1],twp[,3],type="l",main="test problem 32",
  col="blue",xlab="x",ylab="y'")
lines(twp2[,1],twp2[,3],col="red")
lines(twp3[,1],twp3[,3],col="green")


###################################################
### chunk number 103: prob32
###################################################
plot(twp[,1],twp[,3],type="l",main="test problem 32",
  col="blue",xlab="x",ylab="y'")
lines(twp2[,1],twp2[,3],col="red")
lines(twp3[,1],twp3[,3],col="green")


###################################################
### chunk number 104: 
###################################################
Prob33 <- function(t, z, pars, xi) {
  list(c( z[2], z[3], z[4], 1/xi*(z[1]*z[4]-z[5]*z[6]),
          z[6], 1/xi*(z[5]*z[2]-z[1]*z[6])))

}
ini <- c(0,0,NA,NA,-1,NA)
end <- c(0,0,NA,NA,1,NA)

xi <-0.1
twp <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob33, guess=c(0,0,0), xi=xi)

xi <-0.01
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob33, guess=c(0,0,0), xi=xi)

xi <-0.001
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob33, guess=c(0,0,0), xi=xi)


###################################################
### chunk number 105: prob33
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 33",
  col="blue",xlab="x",ylab="y",ylim=c(-0.05,0.05))
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 106: prob33
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 33",
  col="blue",xlab="x",ylab="y",ylim=c(-0.05,0.05))
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 107: 
###################################################
Prob34 <- function(t, y, pars, xi) {
  list(c( y[2], -xi*exp(y[1])))

}
ini <- c(0,NA)
end <- c(0,NA)

xi <-0.1
twp <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob34, guess=c(0), xi=xi)

xi <-0.01
twp2 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob34, guess=c(0), xi=xi)

xi <-0.001
twp3 <- bvptwp(yini=ini,yend=end,x=seq(0,1,by=0.01),
           func=Prob34, guess=c(0), xi=xi)


###################################################
### chunk number 108: prob34
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 34",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 109: prob34
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 34",
  col="blue",xlab="x",ylab="y")
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 110: 
###################################################
Prob35 <- function(x, y, pars, xi) {
  list(c( y[2], 1/xi*(x * y[2]-y[1])))
}
ini <- c(1,NA)
end <- c(2,NA)

xi <-1
twp <- bvptwp(yini=ini,yend=end,x=seq(-1,1,by=0.05),
           func=Prob35, guess=c(0), xi=xi)

xi <-0.1
twp2 <- bvptwp(yini=ini,yend=end,x=seq(-1,1,by=0.05),
           func=Prob35, guess=c(0), xi=xi)

xi <-0.01
twp3 <- bvptwp(yini=ini,yend=end,x=seq(-1,1,by=0.05),
           func=Prob35, guess=c(0), xi=xi)


###################################################
### chunk number 111: prob35
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 35",
  col="blue",xlab="x",ylab="y",ylim=c(-1,4))
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


###################################################
### chunk number 112: prob35
###################################################
plot(twp[,1],twp[,2],type="l",main="test problem 35",
  col="blue",xlab="x",ylab="y",ylim=c(-1,4))
lines(twp2[,1],twp2[,2],col="red")
lines(twp3[,1],twp3[,2],col="green")


